> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出端点

> 列出由能力数据支持的网关端点及其公共路径和模型/供应商覆盖情况。

* `endpoints`：API 当前公开的规范端点 ID
* `data`：包含 `public_path`、`collection`、`model_count` 和 `provider_count` 的端点记录
* `sample_models`：公共目录中最近可见的模型 ID，最多 10 个

如需查看某个模型按供应商和参数划分的详细信息，请使用[列出模型端点能力](./model-endpoints.mdx)。


## OpenAPI

````yaml zh-Hans/openapi/v1/openapi.localized.yaml GET /endpoints
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: 通过兼容 OpenAI 的端点访问各种 AI 模型的网关 API。
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: 全球路由
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /endpoints:
    get:
      tags:
        - Gateway
      summary: 列出端点
      description: 列出基于能力的网关端点 ID，并提供其公开路径、模态集合、模型数量、提供商数量和示例模型。
      operationId: listEndpoints
      responses:
        '200':
          description: 端点元数据
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointCatalogueResponse'
components:
  schemas:
    EndpointCatalogueResponse:
      type: object
      required:
        - ok
        - endpoints
        - data
        - sample_models
      properties:
        ok:
          type: boolean
          enum:
            - true
        endpoints:
          type: array
          items:
            type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/EndpointCatalogueEntry'
        sample_models:
          type: array
          items:
            $ref: '#/components/schemas/ModelId'
      additionalProperties: false
    EndpointCatalogueEntry:
      type: object
      required:
        - id
        - capability_id
        - public_path
        - collection
        - model_count
        - provider_count
      properties:
        id:
          type: string
        capability_id:
          type: string
        public_path:
          type: string
        collection:
          type: string
        model_count:
          type: integer
          minimum: 0
        provider_count:
          type: integer
          minimum: 0
      additionalProperties: false
    ModelId:
      type: string
      description: 模型标识符。这是运行时字符串，因此无需等待 SDK 更新即可使用新发布的模型。
      example: ai21/jamba-1.5-large
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer 令牌身份验证

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.